Bug 805027 - Inaccurate system count
Inaccurate system count
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity medium (vote)
: Unspecified
: --
Assigned To: Michael Stead
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 09:30 EDT by Steve Reichard
Modified: 2014-09-18 11:32 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Generating the uebercert and registering an instance of virt-who against anything except KVM or Xen caused System Engine system subscription count to increase in the System Engine dashboard. This fix removes uebercert consumers from the count. The dashboard should show an accurate count of system subscriptions.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:43:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
movie (1.12 MB, video/ogg)
2012-03-20 09:31 EDT, Steve Reichard
no flags Details
katello debug (645.95 KB, application/x-gzip)
2012-03-20 09:32 EDT, Steve Reichard
no flags Details

  None (edit)
Description Steve Reichard 2012-03-20 09:30:19 EDT
Description of problem:

At SAIC, a beta (3) customer, we saw the dashboard report a green current supscription of 1, when we had not even made a template, never minf even attempt a sub-mgr.

I just reproduced this with beta5 locally.

I've attached a video showing the issue.

I'll also create a katello.debug file.


Version-Release number of selected component (if applicable):

Beta 3 and Beta 5 --

Here is the beta5 specifics:

[root@cf-se1 ~]# /pub/scripts/post_install_configuration_scripts/cf-se-versions 
Red Hat Enterprise Linux Server release 6.2 (Santiago)
Linux cf-se1.cloud.lab.eng.bos.redhat.com 2.6.32-220.7.1.el6.x86_64 #1 SMP Fri Feb 10 15:22:22 EST 2012 x86_64 x86_64 x86_64 GNU/Linux
PyYAML-3.09-14.el6_1.x86_64
facter-1.5.9-1.el6.noarch
js-1.8.5-6.el6.x86_64
mongodb-1.8.2-3.el6.x86_64
mongodb-server-1.8.2-3.el6.x86_64
puppet-2.6.14-1.el6.noarch
pymongo-1.9-8.el6_1.x86_64
tomcat6-6.0.24-35.el6_1.noarch
ruby-1.8.7.352-6.el6.x86_64
grinder-0.0.139-1.el6.noarch
postgresql-server-8.4.9-1.el6_1.1.x86_64
postgresql-8.4.9-1.el6_1.1.x86_64
candlepin-0.5.26-1.el6.noarch
pulp-1.0.0-4.el6.noarch
katello-0.1.304-1.el6.noarch
katello-all-0.1.304-1.el6.noarch
katello-cli-0.1.104-1.el6.noarch
katello-configure-0.1.104-1.el6.noarch
[root@cf-se1 ~]#



How reproducible:

HAve notice in last 2 cases, SAIC and locally.  Never noticed if it happened before.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Steve Reichard 2012-03-20 09:31:23 EDT
Created attachment 571412 [details]
movie
Comment 2 Steve Reichard 2012-03-20 09:32:13 EDT
Created attachment 571413 [details]
katello debug
Comment 3 James Laska 2012-03-20 13:41:47 EDT
Escalating for consideration as a blocker.  I'm unclear whether this problem is *only* present on a first-time install ... or if the registered system count will *always* be off-by-one.

The impact to the customer is that the dashboard will present incorrect system registration totals.
Comment 4 Steve Reichard 2012-03-21 14:22:21 EDT
BTW,

I recently noticed that I have a count of 1 for ACME, and I have any repos in ACME, I use another Org which started with count of 0.  No manifest has been loaded.  What could this be subscribed to?

spr
Comment 5 Jordan OMara 2012-03-27 10:03:57 EDT
I'm unable to reproduce this with the current version of SAM (0.144) with Katello 0.306. Can you reproduce this reliably, and if so can you provide the exact steps?

Thanks!
Comment 6 Steve Reichard 2012-03-27 12:56:13 EDT
I have installed the early beta 6 on 2 systems and have the issue on both.

I think I saw the count increment when I added an organization.


If you want access let me contact me at sreichar@reichar.com or in IRC (usually spr)


[root@cf-se1 os]# /pub/scripts/post_install_configuration_scripts/cf-se-versions 
Red Hat Enterprise Linux Server release 6.2 (Santiago)
Linux cf-se1.cloud.lab.eng.bos.redhat.com 2.6.32-220.7.1.el6.x86_64 #1 SMP Fri Feb 10 15:22:22 EST 2012 x86_64 x86_64 x86_64 GNU/Linux
PyYAML-3.09-14.el6_1.x86_64
facter-1.5.9-1.el6.noarch
js-1.8.5-6.el6.x86_64
mongodb-1.8.2-3.el6.x86_64
mongodb-server-1.8.2-3.el6.x86_64
puppet-2.6.14-1.el6.noarch
pymongo-1.9-8.el6_1.x86_64
tomcat6-6.0.24-35.el6_1.noarch
ruby-1.8.7.352-6.el6.x86_64
grinder-0.0.139-1.el6.noarch
postgresql-server-8.4.9-1.el6_1.1.x86_64
postgresql-8.4.9-1.el6_1.1.x86_64
candlepin-0.5.26-1.el6.noarch
pulp-1.0.0-4.el6.noarch
katello-0.1.306-1.el6.noarch
katello-all-0.1.306-1.el6.noarch
katello-cli-0.1.107-1.el6.noarch
katello-configure-0.1.104-1.el6.noarch
[root@cf-se1 os]#
Comment 10 Michael Stead 2012-04-18 11:51:24 EDT
Fixed in master branch: 20f2802f6ec9e7d61f68737ad01ff50d142e7fb2

Available in candlepin-0.5.28-1+
Comment 11 Bryan Kearney 2012-05-02 14:22:00 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Certain actions will cause the count of "systems" to appear to increase on the System Engine dashboard. These are (1) generating the ueber cert, and (2) registering an instance of virt-who which is not against KVM or XEN.
Comment 14 Og Maciel 2012-09-18 15:33:48 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 15 Julie 2012-12-03 01:48:54 EST
Added release notes 1.1
Comment 17 errata-xmlrpc 2012-12-04 14:43:16 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.